Skip to main content
`Ctrl`+`K`

# BVScale

Multiply the `BV` entries by a scalar value.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVScale(BV bv,PetscScalar alpha)

Logically Collective

## Input Parameters

- bv - basis vectors

- alpha - scaling factor

## Note

All active columns (except the leading ones) are scaled.

## See Also

BV: Basis Vectors, `BVScaleColumn()`, `BVSetActiveColumns()`

## Level

intermediate

## Location

src/sys/classes/bv/interface/bvops.c

## Implementations

BVScale_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVScale_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVScale_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVScale_Tensor() in src/sys/classes/bv/impls/tensor/bvtensor.c
BVScale_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages